Bug 93287 - Cannot TAB through all Controls on Form with Form window smaller than maximum surface occupied by controls
Summary: Cannot TAB through all Controls on Form with Form window smaller than maximum...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 93288 (view as bug list)
Depends on:
Blocks: Database-Forms
  Show dependency treegraph
 
Reported: 2015-08-08 22:52 UTC by Stang
Modified: 2019-09-16 02:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stang 2015-08-08 22:52:28 UTC
1 - New form
2 - Four controls(any) on form - Two at top of form, some space, two at bottom
3 - Automatic Control Focus is OFF
4 - Tab order - Top Left = 1; Top Right = 2; Bottom Left = 3; Bottom Right = 4
5 - Reduce size of Form so only top two controls are visible.
6 - Run Form
7 - Select upper left control
8 - Using TAB key will only cycle through the top two controls
9 - Scroll down on the form so the bottom two Controls are visible
10 - TAB key will now cycle through all four controls.

Same as above but with Automatic Control Focus ON

FIRST TIME ONLY running the Form - 
   Will cycle through top controls until lower controls visible

Any subsequent running of this form (Automatic Focus ON) will cycle through ALL controls visible or not.
Comment 1 V Stuart Foote 2015-08-08 23:47:13 UTC
*** Bug 93288 has been marked as a duplicate of this bug. ***
Comment 2 Alex Thurgood 2015-08-10 17:57:19 UTC
@Stang : are you using a distrib provided version of LibreOffice, if so, which one ?

the 4.2.8.x is officially end of life for TDF released LibreOffice, so:

- try a newer official release ;
- or else file a bug report with the distrib provider to try and get the problem fixed.

Setting NEEDINFO as further information required.
Comment 3 Stang 2015-08-10 20:56:39 UTC
I have completely removed the old version of Libre Office and made sure all was gone with Synaptic package manager.

Downloaded and installed ver 5.0 directly from Libreoffice.org(x64 Deb.tar):

          Version: 5.0.0.5
Build ID: 437e4abdf9e72fd0a6e6f8697a0e659bc77f9b10
Locale: en-US (en_US.UTF-8)

Created new empty database.
Created new form in design mode.

Added four pushbuttons - two at top two at bottom.
Same scenario as previously mentioned.

Same results - cycles through only top two buttons until I scroll down, then cycles through all buttons.  Close the form & re-open & same results.
Comment 4 Alex Thurgood 2015-08-11 09:27:02 UTC
(In reply to Stang from comment #3)
> I have completely removed the old version of Libre Office and made sure all
> was gone with Synaptic package manager.
> 
> Downloaded and installed ver 5.0 directly from Libreoffice.org(x64 Deb.tar):
> 
>           Version: 5.0.0.5
> Build ID: 437e4abdf9e72fd0a6e6f8697a0e659bc77f9b10
> Locale: en-US (en_US.UTF-8)
> 
> Created new empty database.
> Created new form in design mode.
> 
> Added four pushbuttons - two at top two at bottom.
> Same scenario as previously mentioned.
> 
> Same results - cycles through only top two buttons until I scroll down, then
> cycles through all buttons.  Close the form & re-open & same results.

Thansk for testing.

When you position the lower controls, do you drag and drop them (i.e. without paragraph returns, or do you add paragraph returns and then anchor the lower controls to a paragraph near the bottom of the page ?
Comment 5 Stang 2015-08-11 13:41:08 UTC
Originally I simply drew each item in its' place.

I have now tried different methods of anchoring - Page, Paragraph, Character.  All results were the same.

I also moved one of the lower controls to the top and as I suspected, the top three cycle until the lower fourth control is exposed.

Also, it does not matter which Tab ordered control is left unexposed.  If 3 is unexposed, tab cycle is 1 - 2 - 4.  If 2 then 1 - 3 - 4.  Once exposed then 1 - 2 - 3 - 4.
Comment 6 Stang 2015-08-11 14:05:37 UTC
Another note - 

As soon as Automatic Control Focus is turned on,  Tab cycle is correct; all four controls are cycled through, exposed or not.  Turn off Automatic Control Focus and the problem returns.
Comment 7 Alex Thurgood 2015-08-13 09:15:18 UTC
COnfirming on

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale : fr-FR (fr.UTF-8)

OSX 10.10.4
Comment 8 QA Administrators 2016-09-20 10:26:15 UTC Comment hidden (obsolete)
Comment 9 Stang 2016-09-20 13:08:04 UTC
Bug still present in v5.2.0.4 as described in original post.  Tested on xubuntu 16.04
Comment 10 Xisco Faulí 2017-09-29 08:53:56 UTC Comment hidden (obsolete)
Comment 11 Stang 2017-09-29 15:29:45 UTC
Bug still present Mint 18.2 with following LO:

Version: 5.4.1.2
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 12 Stang 2017-12-23 23:45:51 UTC
This bug is still present in Beta of:

Version: 6.0.0.1
Build ID: d2bec56d7865f05a1003dc88449f2b0fdd85309a
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 13 QA Administrators 2019-09-16 02:46:17 UTC
Dear Stang,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug